using System;

namespace Zadatak1
{
    class Program
    {
        static void Main(string[] args)
        {
            string ulaz = Console.ReadLine();
            char a = ulaz[0];
            char b = ulaz[1];

            string[] ulaz1 = Console.ReadLine().Split();
            int aBroj = int.Parse(ulaz1[0]);
            int bBroj = int.Parse(ulaz1[1]);

            string izlaz = "";

            if (Math.Abs(aBroj - bBroj) > 1) Console.WriteLine("nemoguce");
            else
            {
                for (int i = 0; i < Math.Min(aBroj, bBroj); i++) izlaz = izlaz + a + b;
                if (aBroj > bBroj) izlaz = izlaz + a;
                if (bBroj > aBroj) izlaz = b + izlaz;
            }
            Console.WriteLine(izlaz);
        }
    }
}